﻿@using SharedCode.Localization
@model SharedCode.WebUI.Models.IProjectRoomPageViewModel

@using (Html.BeginForm(controllerName: AppStrings.HomeControllerName, actionName: AppStrings.IndexActionName, method: FormMethod.Post))
{
    <div class="container p-2">
        <div class="container border rounded shadow pl-4 pr-4 pt-2">
            @Html.HiddenFor(model => model.AddProjectRoomViewModel.Id)
            @Html.HiddenFor(model => model.AddProjectRoomViewModel.CreatedById)
            <div class="form-group">
                <div class="input-group ">
                    @Html.TextBoxFor(m => m.AddProjectRoomViewModel.Name, new { @class = "form-control", @placeholder = LanguageStrings.ProjectRoomModelName, @id = "test" })
                    <div class="input-group-append">
                        <a class="ml-4 mr-2 align-self-center">@LanguageStrings.ProjectRoomModelAccess:</a>
                        @Html.DropDownListFor(
                       m => m.AddProjectRoomViewModel.Access,
                       new SelectList(new List<string>()
                       {
                           LanguageStrings.AccessPublic,
                           LanguageStrings.AccessPrivate
                       }),
                       new {
                           @class = "form-control",
                           @id = "AccessList"
                       })
                    </div>
                </div>
            </div>
            <div class="form-group">
                @Html.ValidationMessageFor(m => m.AddProjectRoomViewModel.Name, String.Empty, new { @style = "color:maroon;!important" })
            </div>
            <hr class="my-2">
            <div class="form-group">
                <div class="d-flex justify-content-between">
                    @if (Model.AddProjectRoomViewModel.Access == LanguageStrings.AccessPublic)
                    {
                        @Html.PasswordFor(
                        m => m.AddProjectRoomViewModel.Password,
                        new
                        {
                            @class = "form-control w-50 mr-1",
                            @placeholder = LanguageStrings.ProjectRoomModelPassword,
                            @autocomplete = "off",
                            @disabled = "disabled",
                            @id = "AccessPassword"
                        });
                    }
                    else
                    {
                        @Html.PasswordFor(
                        m => m.AddProjectRoomViewModel.Password,
                        new
                        {
                            @class = "form-control w-50 mr-1",
                            @placeholder = LanguageStrings.ProjectRoomModelPassword,
                            @autocomplete = "off",
                            @id = "AccessPassword"
                        });
                    }
                    <input type="submit" class="btnAppGreen" value="@LanguageStrings.ProjectRoomButtonAdd" />
                </div>
            </div>
            <div class="form-group">
                @if (TempData[AppStrings.ErrorMessageTag] != null)
                {
                    <label style="color:maroon;"> @TempData[AppStrings.ErrorMessageTag] </label>
                }
            </div>
        </div>
    </div>
}

<script src="~/Scripts/jquery-3.3.1.min.js"></script>

<script>
        $('#AccessList').change(function () {
            var accessVal = $('#AccessList').val();
            $.ajax({
                type: 'GET',
                url: "@Url.Action(actionName: AppStrings.CheckIsPublicAccessMethodName, controllerName: AppStrings.HomeControllerName)",
                data: { accessString: accessVal },
                success: function (response) {
                    if (response.toLowerCase() == 'true') {
                        document.getElementById('AccessPassword').disabled = true;
                    }
                    else {
                        document.getElementById('AccessPassword').disabled = false;
                    }
                }
            });
    });
</script>
